<template>
  <div class="row full-height full-width">
    <div class="col-2">
      <q-tabs v-model="tab" vertical>
        <q-tab name="userSettings" icon="mail" label="User Settings" />
        <q-tab name="serviceSettings" icon="alarm" label="Service Settings" />
        <q-tab name="configuration" icon="movie" label="Configuration" />
        <q-tab name="key" icon="vpn_key" label="SSH Key" />
      </q-tabs>
    </div>
    <div class="col">
      <q-tab-panels v-model="tab" animated>
        <q-tab-panel name="userSettings" animated transition-next="jump-up">
          <div class="full-width full-height">
            <div class="text-h6">User Settings</div>
            <q-list bordered>
              <q-item-label header>User Settings</q-item-label>
              <q-item>
                <q-select v-model="lang" type="text" label="Language">
                  <template v-slot:before>
                    <q-icon name="chat" />
                  </template>
                </q-select>
              </q-item>
              <q-item>
                <q-input
                  v-model="btcAddress"
                  type="text"
                  label="Bitcoin Address"
                >
                  <template v-slot:before>
                    <img height="32px" src="/images/Bitcoin.svg" />
                  </template>
                </q-input>
              </q-item>
              <q-item>
                <q-input
                  v-model="stxAddress"
                  type="text"
                  label="Stacks Address"
                >
                  <template v-slot:before>
                    <img height="32px" src="/images/stacks.svg" />
                  </template>
                </q-input>
              </q-item>
            </q-list>
          </div>
        </q-tab-panel>
        <q-tab-panel
          name="serviceSettings"
          animated
          transition-next="jump-up"
          transition-prev="jump-down"
        >
          <div class="text-h6">Service Settings</div>
          <!-- node settings -->
          <q-list bordered class="column q-mt-lg">
            <q-item-label header>Service Settings</q-item-label>
            <q-item>
              <q-input
                v-model="btcNode"
                type="text"
                label="Bitcoin RPC Address"
              >
                <template v-slot:before>
                  <img height="32px" src="/images/Bitcoin.svg" />
                </template>
              </q-input>
            </q-item>
            <q-item>
              <q-input
                v-model="stxNode"
                type="text"
                label="Stacks Node Address"
              >
                <template v-slot:before>
                  <img height="32px" src="/images/stacks.svg" />
                </template>
              </q-input>
            </q-item>
          </q-list>
        </q-tab-panel>
        <q-tab-panel
          name="configuration"
          animated
          transition-next="jump-up"
          transition-prev="jump-down"
        >
          <div class="text-h6">Stacks Node Configuration</div>
          <q-editor v-model="editor" min-height="5rem" flat />
        </q-tab-panel>
        <q-tab-panel
          name="key"
          animated
          transition-next="jump-up"
          transition-prev="jump-down"
        >
          <div class="text-h6">Stacks Node Access</div>
          <q-input v-model="text" type="text" label="Username" />
          <q-input v-model="text" type="text" label="Password" />
          <div class="full-width text-center q-my-xl">
            -- OR --
          </div>
          <q-input
            v-model="text"
            type="textarea"
            placeholder="SSH Key for your Stacks node"
          />
        </q-tab-panel>
      </q-tab-panels>
    </div>
  </div>
</template>

<script>
const shell = require("shelljs");
import "src/helpers/stacks-gen";

export default {
  name: "PageConfig",
  data() {
    return {
      key: null,
      btcAddress: "",
      btcNode: "",
      stxAddress: "",
      stxNode: "",
      lang: "en-US",
      tab: "userSettings"
    };
  },
  methods: {
    async generateKeys() {
      return (this.key = await generateKeys());
    }
  }
};
</script>

<style></style>
